
function meta_visitor_passwortcheck(lcase,ucase,numeric,special,length,pw,feedback_id, text){
  var special_chars = ".!@#$%^&*()_+-=";

  var lcase_count = pw.match(/[a-z]/g);
  lcase_count = (lcase_count) ? lcase_count : 0;

  var ucase_count = pw.match(/[A-Z]/g);
  ucase_count = (ucase_count) ? ucase_count.length : 0;

  var num_count   = pw.match(/[0-9]/g);
  num_count   = (num_count) ? num_count.length : 0;

  var pw_ok = true;
  var counter = 0;
  var max = lcase + ucase + numeric + special + length;

  var schar_count=0;
  var specials = /[^A-Za-z 0-9]/g;
  if( specials.test(pw) ){
    schar_count = 1;
  }

  var message ="";
    if(lcase){
      if(lcase_count <= 0){
        message += "<span class='pw_info'>" + text.lcase + "</span></br>";
        pw_ok=false;
      }else{
        counter = counter + 1;
      }
    }

    if(ucase){
      if(ucase_count <= 0){
        message += "<span class='pw_info'>"+text.ucase+"</span></br>";
        pw_ok=false;
      }else{
        counter = counter+1;
      }
    }

    if(special){
      if(schar_count <= 0){
        message += "<span class='pw_info'>"+text.special+"</span></br>";
        pw_ok=false;
      }else{
        counter = counter+1;
      }
    }

    if(numeric){
      if(numeric && num_count <= 0){
        message += "<span class='pw_info'>"+text.numeric+"</span></br>";
        pw_ok=false;
      }else{
        counter = counter+1;
      }
    }

    if(length){
      if(pw.length < length){
        $str = text.length.replace("@length@" , length);
        message += "<span class='pw_info'>" + $str + "! </span></br>";
        pw_ok=false;
        counter = counter + pw.length;
      }else{
        counter = counter +  length;
      }
    }

  message = "<div class='progress' style='width:100%;margin-top:1vh'><div class='progress-bar progress-bar-success' style='width: "+ (counter / max) * 100 +"%'></div> </div>" + message;
  $('#' + feedback_id).html(message);

  if(!pw_ok){
    return false;
  }else{
    return true;
  }
}

function displayTooltip(){
  var tooltip = localStorage.getItem('james_tooltip');
  var tooltiptip="";
  if(tooltip == "on"){
    tooltiptip = "Tooltip deaktivieren";
  }else{
    tooltiptip = "Tooltip aktivieren";
  }
  $('#tooltipbtn').html(tooltiptip);
}

function james_toggle_tooltip(){
  var tooltip = localStorage.getItem('james_tooltip');
  if(tooltip){
    $('[data-title]').tooltip('destroy');
    localStorage.removeItem('james_tooltip');
  }else{
    $('[data-title]').tooltip({placement: "right"});
    localStorage.setItem('james_tooltip', 'on');
  }

  displayTooltip();
}

function james_testmail_send(SID){

  var form =   $("#smtp_form");
  var url = "/sys_mgr_portal.php";
  var mail = $("#testmail").val();

  $.ajax({
         type: "POST",
         url: url,
         data: form.serialize(),
         success: function(data)
         {
           jq_load('#testmail_result', '/ajax/wrapper.php?SID=' + SID + '&action=admin_send_testmail&email=' + mail );
         }
       });
}

function meta_james_pb_load_internal( target, SID ) {

     jq_load('#'+ target,'ajax/wrapper.php?SID=' + SID + '&action=pb_load_internal');
     return true;

}

function meta_james_pb_load_external() {

     jq_load('#'+ target,'ajax/wrapper.php?SID=' + SID + '&action=pb_lookup_main');
     return true;

}

function meta_james_filter_str( obj ) {

    var str = obj.value;
    var res = str.replace(/,/g, '\n');
    res = res.replace(/ /g, '\n');
    res = res.replace(/;/g, '\n');
    res = res.replace(/\n\n/g, '\n');
    res = res.replace(/\n\n/g, '\n');
    res = res.replace(/\n\n/g, '\n');
    res = res.replace(/\r\n/g, '\n');

    obj.value = res;
    return true;


}

function meta_james_att_change_cc_type( ap_id, au_id, SID, status ) {

    //alert( ap_id + ' ' + au_id );

    if ( status == '1' ) {

        $('#main_content').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_cc_type_change&status=1&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#main_content', 'ajax/wrapper.php?SID=' + SID + '&action=show_appoint_detail&au_id=' + au_id +'&ap_id=' + ap_id );
                }
            );

    } else {

        $('#main_content').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_cc_type_change&status=0&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#main_content', 'ajax/wrapper.php?SID=' + SID + '&action=show_appoint_detail&au_id=' + au_id +'&ap_id=' + ap_id );
                }
            );
    }

    return true;
}

function meta_james_att_change_checkin_info(ap_id, au_id, SID, status ) {

    //alert( ap_id + ' ' + au_id );

    if ( status == '1' ) {

        $('#att_detail_info').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_checkin_info_change&status=1&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#att_detail_info', 'ajax/wrapper.php?SID=' + SID + '&action=att_detail_info&au_id=' + au_id + '&ap_id=' + ap_id );
                }
            );


    } else {

        $('#att_detail_info').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_checkin_info_change&status=0&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#att_detail_info', 'ajax/wrapper.php?SID=' + SID + '&action=att_detail_info&au_id=' + au_id + '&ap_id=' + ap_id  );
                }
            );

    }

    return true;

}

function meta_james_att_change_autologon_on_qr (ap_id, au_id, SID, status ) {

    //alert( ap_id + ' ' + au_id );

    if ( status == '1' ) {

        $('#att_detail_info').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_qr_autologon_change&status=1&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#att_detail_info', 'ajax/wrapper.php?SID=' + SID + '&action=att_detail_info&au_id=' + au_id + '&ap_id=' + ap_id );
                }
            );


    } else {

        $('#att_detail_info').load(
            'ajax/wrapper.php?SID=' + SID + '&action=host_appointment_user_qr_autologon_change&status=0&ap_id=' + ap_id + '&au_id=' + au_id,
                function () {
                    jq_load('#att_detail_info', 'ajax/wrapper.php?SID=' + SID + '&action=att_detail_info&au_id=' + au_id + '&ap_id=' + ap_id  );
                }
            );

    }

    return true;

}

function meta_james_admin_display_check_2way() {


    if ( $("#di_qr_scan_action").val() == 'checkin' ) {

        $("#di_qr_scan_action_2way").html('<input type=\'checkbox\' name=\'DI[di_qr_2way]\' value=\'1\'> 2 Way Auth');
    } else {
        $("#di_qr_scan_action_2way").html('');
    }

    //if ( document.getElementById('di_qr_scan_action').selected )

    return true;



}

function meta_james_qr_scan_event_rdr(  ) {

}

function meta_james_res_info_to_appointment( SID, res_id ) {

    if ( document.getElementById('res_checkbox_'+res_id).checked  ) {
        jq_load('#res_info','/ajax/wrapper.php?SID=' + SID + '&action=host_res_text_to_appointment&res_id=' + res_id + '&res_info=' + encodeURI(document.getElementById('res_info_'+res_id).value) );
        return true;
    } else {
        return true;
    }


}

function meta_james_res_info_copy( res_id ) {

    document.getElementById('res_info_'+ res_id ).value = document.getElementById('res_info_box').value;
    return true;

}

function meta_james_guip_type_change( SID, guip_id ) {

    var url = '/ajax/wrapper.php?SID=' + SID + '&action=admin_guidance_editor_typ_load&type=' +  document.getElementById('guip_type').value ;
    if ( guip_id != -1 || guip_id != '' ) {
        url += '&guip_id=' + guip_id;
    }
    $('#meta_visitor_guidance_editor').load( url );
    return true;


}

function meta_visitor_room_check_availability( ro_id, SID ) {

    if ( ro_id == 0 || ro_id == '' )
        return true;

    var url = '';
    url  = '/ajax/wrapper.php?SID=' + SID;
    url += '&action=assistent_room_check_availability';
    url += '&ap_start=' + encodeURI( $('#ap_begin').val() );
    url += '&ap_end=' + encodeURI( $('#ap_end').val() );
    url += '&ro_id=' + ro_id;


    $('#error_box').load( url );
    return true;


}

function meta_james_display_build_path( ro_id, di_id, target, SID ) {

    $('#'+target).load('ajax/wrapper.php?SID=' + SID + '&action=admin_room_display_url_load&ro_id=' + ro_id + '&di_id=' + di_id );
    return true;

}

function meta_james_display_template_opt_editor( di_id, target, SID ) {

    $('#'+target).load('ajax/wrapper.php?SID=' + SID + '&action=admin_display_template_opt_editor_load&di_id=' + di_id );
    return true;

}

function meta_james_report_data_load( rep_id, rep_type, rep_values, target, mode,  SID ) {

    $('#'+target).load('ajax/wrapper.php?SID=' + SID + '&action=admin_report_data_load&rep_id=' + rep_id + '&rep_type='+rep_type+'&rep_values=' + rep_values+'&rep_mode=' + mode );
    return true;

}

function meta_james_translation_helper_load( SID, src_div ) {

    $('#translation_helper').load('/ajax/wrapper.php?SID='+ SID +'&action=translation_helper&src_div=' + src_div);
    return true;

}

function meta_james_translation_helper_translate( SID, src_lang, dst_lang,  src_text, src_div ) {

    $('#trans_text_field').load(  '/ajax/wrapper.php?SID='+ SID + '&action=translation_translate&dst_lang='+dst_lang+'&src_lang='+src_lang+'&src_text=' + encodeURI(src_text) + '&src_div=' + src_div );
    return true;
}
